//---------------------------------------------------------------------------

#include <vcl.h>
#include <iostream>
#include <string>
#include <map>
#include <conio.h> //  getch()
#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

std::string RusTo(const std::string &in)
{
  char *buff = new char [in.length()+1];
  OemToChar(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main(int argc, char* argv[])
{
  map<string, string> dictionary;
  dictionary.insert(pair<string, string>(""," ."));
  dictionary.insert(pair<string, string>("","  ."));
  dictionary.insert(pair<string, string>("","  ."));
  dictionary.insert(pair<string, string>("STL","Standard Template Library"));
  string s;
  cout << ToRus(" : ");
  cin >> s;
  s=RusTo(s);
  map<string, string>::iterator p;
  p = dictionary.find(s);
  if (p != dictionary.end())
  	cout << ToRus(": ") << ToRus(p->second);
  else
	cout << ToRus("    .\n");

  getch();
  return 0;
}
//---------------------------------------------------------------------------
